LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 05-15-2011, 08:44 AM   #1
nakins
LQ Newbie
 
Registered: May 2011
Posts: 4

Rep: Reputation: 0
Trying to upgrade PHP via yum on CentOS fails.


I have a CentOS 5 64bit cloud server at 1and1. The current version of PHP on it is 5.2.17. I would like to install 5.3.6, which is available from the Atomic repository. I'm using yum for all this but when I try to install the 5.6.3 package, I get the following.

Total download size: 10 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package php-ldap needs php-common = 5.2.17-1.el5.art, this is not available.
Complete!
[root@s15 ~]# php -v
PHP Warning: Module 'ldap' already loaded in Unknown on line 0
PHP 5.2.17 (cli) (built: Jan 7 2011 10:39:29)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
[root@s15 ~]#

What do I need to do?

Thanks
 
Old 05-15-2011, 08:34 PM   #2
corp769
Guru
 
Registered: Apr 2005
Posts: 5,807

Rep: Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996
Hello,

Before we get into too deep of troubleshooting, can you try forcing a reinstall of php-common?

Cheers,

Josh
 
Old 05-15-2011, 08:48 PM   #3
nakins
LQ Newbie
 
Registered: May 2011
Posts: 4

Original Poster
Rep: Reputation: 0
I would try if I knew how to do that.
 
Old 05-15-2011, 09:05 PM   #4
corp769
Guru
 
Registered: Apr 2005
Posts: 5,807

Rep: Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996
Sure thing man...
Code:
yum reinstall php-common
 
Old 05-15-2011, 10:30 PM   #5
nakins
LQ Newbie
 
Registered: May 2011
Posts: 4

Original Poster
Rep: Reputation: 0
Excellent. I'll give that a try and let you know. Do you give advice on women per chance?
 
Old 05-15-2011, 10:33 PM   #6
corp769
Guru
 
Registered: Apr 2005
Posts: 5,807

Rep: Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996
LOL I do actually. Send me a PM and I can be your LQ therapist

Second edit - Prenup added. I just might turn this into a blog
Code:
yum erase woman-general
cd /home/kitchen
yum install wife
cd ~
yum erase blonde*
./pre-prenup true
chown +rw wife
Hope you like that, as I just thought of that off the top of my head LOL

Last edited by corp769; 05-16-2011 at 09:15 PM.
 
Old 05-16-2011, 01:15 PM   #7
nakins
LQ Newbie
 
Registered: May 2011
Posts: 4

Original Poster
Rep: Reputation: 0
Well, as for my original problem, it would seem the 'reinstall' is not an option in the yum version I have. I have also read posts where others are having problems with upgrading to php 5.3. CentOS does have a new version out that supports PHP 5.3, so I think I might try upgrading the OS before I get all crazy with this. then I will try to upgrade yum and php and see what happens.

As for the other bit of code you offered, can you add a prenup as a dependency to that package?

Thanks for your help. I did learn something from it.
 
Old 05-16-2011, 09:04 PM   #8
corp769
Guru
 
Registered: Apr 2005
Posts: 5,807

Rep: Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996Reputation: 996
Quote:
Originally Posted by nakins View Post
Well, as for my original problem, it would seem the 'reinstall' is not an option in the yum version I have. I have also read posts where others are having problems with upgrading to php 5.3. CentOS does have a new version out that supports PHP 5.3, so I think I might try upgrading the OS before I get all crazy with this. then I will try to upgrade yum and php and see what happens.

As for the other bit of code you offered, can you add a prenup as a dependency to that package?

Thanks for your help. I did learn something from it.
Oh ok. Well let me know how that goes, and we can go from there.

And if you really want me to, I can edit my previous post to reflect the prenup
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
yum update PHP on CentOS - missing dependency php-common AndyMillne Linux - Server 7 05-21-2013 06:34 AM
yum update fails on centos 5.5 fraksken Linux - Server 3 02-07-2011 06:35 PM
kernel won't upgrade with yum CentOS 5 abefroman Linux - Server 3 05-17-2010 07:07 PM
Can yum be used to upgrade RHEL5 Desktop To CentOS 5.3? redhat5 Linux - Newbie 2 08-14-2009 12:42 PM


All times are GMT -5. The time now is 11:54 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration